Package org.apache.solr.client.solrj.request.beans

## Class CreateConfigPayload

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.CreateConfigPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

    public class CreateConfigPayload
    extends Object
    implements ReflectMapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `baseConfigSet`
`static String` `DEFAULT_CONFIGSET`
`String` `name`
`Map<String,​Object>` `properties`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`CreateConfigPayload()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`append, jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Field Detail

#### DEFAULT_CONFIGSET

    public static final String DEFAULT_CONFIGSET

See Also:
  Constant Field Values

#### name

    public String name

#### baseConfigSet

    public String baseConfigSet

#### properties

    public Map<String,​Object> properties

### Constructor Detail

#### CreateConfigPayload

    public CreateConfigPayload()